From a4357a448ea1431981da0fd6cc3dde70eeeeedd7 Mon Sep 17 00:00:00 2001
From: Dinko Korunic <kreator@carnet.hr>
Date: Tue, 10 Mar 2009 14:44:28 +0100
Subject: [PATCH] - ciscenje 127.0.0.0/8 iz trusted_networks konfiguracije

---
 debian/changelog |    6 ++++++
 debian/postinst  |   14 +++++++++++++-
 2 files changed, 19 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index aa2652a..016445b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+spamassassin-cn (2:3.2.5-5) stable; urgency=low
+
+  * ciscenje 127.0.0.0/8 iz trusted_networks konfiguracije
+
+ -- Dinko Korunic <kreator@carnet.hr>  Tue, 10 Mar 2009 14:31:33 +0100
+
 spamassassin-cn (2:3.2.5-4) stable; urgency=low
 
   * izracun i postavljanje trusted_networks
diff --git a/debian/postinst b/debian/postinst
index 06d468f..99933b2 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -202,13 +202,25 @@ if [ -f $examdir/local.cf ]; then
     # calculate trusted networks
     cp_get_netaddr || true
     netaddr="$RET"
+    # ... get already configured trusted networks
     trusted_networks=$(awk '/^trusted_networks/ { print $2 }' \
         $confdir/local.cf.$$)
-    for i in "127.0.0.0/8" "$netaddr"; do
+    # ... merge with local networks configured on eth interfaces
+    for i in $netaddr; do
         if ! echo "$trusted_networks" | grep -q "$i"; then
             trusted_networks="$trusted_networks $i"
         fi
     done
+    # ... strip 127/8 range
+    for i in $trusted_networks; do
+        if ! echo "$i" | grep -q "127.0.0.0/8"; then
+            trusted_networks_clean="$trusted_networks_clean $i"
+        fi
+    done
+    # ... and replace if non-zero
+    if [ ! -z "$trusted_networks_clean" ]; then
+        trusted_networks=$trusted_networks_clean
+    fi
     cp_check_and_sed "^trusted_networks " \
         "s#^trusted_networks .*#trusted_networks $trusted_networks#g" \
         $confdir/local.cf.$$ || true
-- 
1.7.10.4